Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008338TestLinkNew Featurepublic2018-07-24 05:342018-10-06 15:43
ReporterDinushikaJ 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.17 (2018 Q1) 
Fixed in Version1.9.17 (2018 Q1) 
Summary0008338: Cannot filter test cases by searching word/phrase in summary description or test step
DescriptionThere is no any feature given to filter test cases based on the word/phrase given in summary, description or in test step.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MSSQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Filespng file icon Screen Shot 2018-07-24 at 10.02.06.png [^] (99,900 bytes) 2018-07-24 08:04

- Relationships

-  Notes
(0027724)
fman (administrator)
2018-07-24 06:59

if you do not provide detailed steps to reproduce no action can be done other than resolve unable to reproduce.
A very detailed test case is needed.
(0027725)
DinushikaJ (reporter)
2018-07-24 07:47
edited on: 2018-07-24 07:49

1. Load testlink and select a test project
2. Select the test specification
3. check filter criteria

Actual result : There isn't any filter option given to search word/phrase in description, summary or test step. Only option available is Test case title.
The other option is to search test case by ID. But non of them was able to search word/phrase which are inside the test case summary, description or test step

(0027726)
fman (administrator)
2018-07-24 08:04

Design choice, will not be changed => you can contribute if you want and your code will be reviewed.

IMHO A feature request cannot be stated saying SOMETHING DOES NOT EXIST or is missing, but explained what is requested, and in what existent product are fit.

As a workaround, you have a good search option on menu bar. (see attached image)
(0027739)
DinushikaJ (reporter)
2018-07-26 09:01

Thanks. I think wi e can go ahead with the new feature available in 1.9.17. Seems like it will cater our requirement. If we need any improvement with that feature we will get back to you. But now we are happy with that feature.
(0027748)
fman (administrator)
2018-08-07 16:47

great!

- Issue History
Date Modified Username Field Change
2018-07-24 05:34 DinushikaJ New Issue
2018-07-24 06:59 fman Note Added: 0027724
2018-07-24 06:59 fman QA Team - Task Workflow Status => TBD
2018-07-24 06:59 fman Summary Cannot filter test cases by searching word/phrase in summery description or test step => Cannot filter test cases by searching word/phrase in summary description or test step
2018-07-24 06:59 fman Description Updated View Revisions
2018-07-24 06:59 fman Assigned To => fman
2018-07-24 06:59 fman Status new => feedback
2018-07-24 07:47 DinushikaJ Note Added: 0027725
2018-07-24 07:47 DinushikaJ Status feedback => assigned
2018-07-24 07:49 DinushikaJ Note Edited: 0027725 View Revisions
2018-07-24 08:04 fman Note Added: 0027726
2018-07-24 08:04 fman File Added: Screen Shot 2018-07-24 at 10.02.06.png
2018-07-24 08:04 fman Assigned To fman =>
2018-07-26 09:01 DinushikaJ Note Added: 0027739
2018-08-07 16:47 fman Note Added: 0027748
2018-08-07 16:47 fman Status assigned => resolved
2018-08-07 16:47 fman Fixed in Version => 1.9.17 (2018 Q1)
2018-08-07 16:47 fman Resolution open => fixed
2018-08-07 16:47 fman Assigned To => fman
2018-10-06 15:43 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker